#!/bin/bash
#################################################################################
#Copyright (C) 2007 Free Software Foundation.

#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.

#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.

#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

##################################################################################
#31/08/2013 TOUSSAINT Gérald grubald@free.fr
#maj 02/09/2013
#maj 29/11/2013 ajout de -a pour controler le volume sonore
#maj 23/06/2015 paplay pour PulseAudio, aplay pour Alsa, spd-say pour speech-dispatcher
# example : echo -n "Il est" $* |  espeak -v mb-fr1 -s 120 -a 30 --stdin| spd-say

# -s 125 = 125 mots à la minutes par défaut 175 plage, (80 à 450)
# -a 50 = Amplitude du volume par défaut 100 plage, (0 à 200)


heure() {
#echo -n "Il est" $* | espeak -v mb-fr1 -s 130 -a 80
echo -n "Il est" $* |  espeak -v mb-fr1 -s 120 -a 30 --stdin| spd-say
}


# midi
if [ $(date +%H:%M) == "12:00" ]
then
heure "m idi"
elif [ $(date +%H:%M) == "12:01" ]
then
heure "mi di, une"
elif [ $(date +%H:%M) == "12:21" ]
then
heure "mi di, vingt et une"
elif [ $(date +%H:%M) == "12:31" ]
then
heure "mi di, trente et une"
elif [ $(date +%H:%M) == "12:41" ]
then
heure "mi di, quarante et une"
elif [ $(date +%H:%M) == "12:51" ]
then
heure "mi di, cinquante et une"
elif [ $(date +%H) == "12" ]
then
heure "mi di" $(date +%_M)
#vingt et une heures
elif [ $(date +%H:%M) == "21:00" ]
then
heure "vingt et une heure"
elif [ $(date +%H:%M) == "21:01" ]
then
heure "vingt et une heure, une"
elif [ $(date +%H:%M) == "21:21" ]
then
heure "vingt et une heure, vingt et une"
elif [ $(date +%H:%M) == "21:31" ]
then
heure "vingt et une heure, trente et une"
elif [ $(date +%H:%M) == "21:41" ]
then
heure "vingt et une heure, quarante et une"
elif [ $(date +%H:%M) == "21:51" ]
then
heure "vingt et une heure, cinquante et une"
elif [ $(date +%H) == "21" ]
then
heure "vingt et une heure" $(date +%_M)
#minuit
elif [ $(date +%H:%M) == "00:00" ]
then
heure "mi nuit"
elif [ $(date +%H:%M) == "00:01" ]
then
heure "mi nuit, une"
elif [ $(date +%H:%M) == "00:21" ]
then
heure "mi nuit, vingt et une"
elif [ $(date +%H:%M) == "00:31" ]
then
heure "mi nuit, trente et une"
elif [ $(date +%H:%M) == "00:41" ]
then
heure "mi nuit, quarante et une"
elif [ $(date +%H:%M) == "00:51" ]
then
heure "mi nuit, cinquante et une"
elif [ $(date +%H) == "00" ]
then
heure "mi nuit" $(date +%_M)
# une heure
elif [ $(date +%H:%M) == "01:00" ]
then
heure "une heure du matin"
elif [ $(date +%H:%M) == "01:01" ]
then
heure "une heure, une"
elif [ $(date +%H:%M) == "01:21" ]
then
heure "une heure, vingt et une"
elif [ $(date +%H:%M) == "01:31" ]
then
heure "une heure, trente et une"
elif [ $(date +%H:%M) == "01:41" ]
then
heure "une heure, quarante et une"
elif [ $(date +%H:%M) == "01:51" ]
then
heure "une heure, cinquante et une"
elif [ $(date +%H) == "01" ]
then
heure "une heure" $(date +%_M)
#x heures, une minute
elif [ $(date +%M) == "01" ]
then
heure $(date "+%_H heure, une")
#x heures, vingt et une minute
elif [ $(date +%M) == "21" ]
then
heure $(date "+%_H heure, vingt et une")
elif [ $(date +%M) == "31" ]
then
heure $(date "+%_H heure, trente et une")
elif [ $(date +%M) == "41" ]
then
heure $(date "+%_H heure, quarante et une")
elif [ $(date +%M) == "51" ]
then
heure $(date "+%_H heure, cinquante et une")
#heure classique
elif [ $(date +%M) == "00" ]
then
heure $(date "+%_H heure")
else
heure $(date "+%_H heure %_M")
fi 

exit 0
